Hi guys,

When I chroot my Apache 1.3.x with mod_security, it kept reporting that error. I have searched through this list and found that this error had been reported one but still there is no solution rite?

It seems that this problem only occurs in Apache 1.3, I have sucessfully chroot Apache 2.0 with mod_ssl without any problem before. Here is my modsec.conf which is included at the end of httpd.conf

-----------snip-------------

# Yes, we want to use mod_security
ClearModuleList
AddModule mod_security.c
AddModule mod_env.c
AddModule mod_log_config.c
AddModule mod_mime.c
AddModule mod_negotiation.c
AddModule mod_access.c
AddModule mod_auth.c
AddModule mod_setenvif.c
AddModule mod_ssl.c
AddModule mod_php4.c
 
SecFilterEngine On
 
SecServerSignature "Microsoft IIS/5.0"
 
SecChrootDir /chroot/jail

---snip------------

Any suggestion?

TIA,
-T